Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05148 Misc. Minor Always Feb 12, 2013, 07:57 Apr 22, 2016, 19:37
Tester Robbbert View Status Public Platform MESS (Self-compiled)
Assigned To galibert Resolution Open OS
Status [?] Assigned Driver ht68k.cpp
Version 0.148 Fixed in Version Build Normal
Summary MESS-specific 05148: ht68k: Hangs at start
Description It displays one line of output then hangs
Steps To Reproduce
Additional Information was ok at 0.146
Flags
Regression Version
Affected Sets / Systems ht68k
Attached Files
patch file icon ht68k_wd.patch (709 bytes) May 31, 2015, 14:06 Uploaded by Duke
(ugly) patch for wd_fdc.c to get it working again
[Show Content]
Relationships
There are no relationsihp linked to this issue.
Notes
6
User avatar
No.09363
Tafoid
Administrator
Feb 13, 2013, 16:00
WD1700 floppy emulation was added resulting the system now looking for a floppy and not jumping to monitor. The known images are all .td0 which at the moment are not support by the current emulation. The core case of it "hanging" is likely invalid - just waiting for a floppy.
User avatar
No.10012
Osso
Developer
Nov 25, 2013, 17:29
According to the manual, page 2-2, "The board will first look for a disk to boot the K-OS ONE operating system. When the boot disk is not found, it will go into the MONITOR program".
MESS entered the MONITOR program up to 0.146u5, but from 0.147 onwards it's broken.
You can now load td0 images and in fact, if you have the boot disk, it will slowly load it and the operating system will start up.
I think this should be reopened.
User avatar
No.10013
Tafoid
Administrator
Nov 25, 2013, 23:54
You are a Dev. You are free to open such bugs up especially if you have an interest in it.
User avatar
No.10082
Robbbert
Developer
Dec 19, 2013, 12:43
Reopened because the problem was not fixed.
User avatar
No.11698
Duke
Developer
May 31, 2015, 14:08
I've attached a patch which fixes it. I consider it too ugly though, timeouts need to be handled properly. Problem is, according to the datasheet, there isn't even a timeout and the current implementation is correct.
User avatar
No.12545
demotester
Tester
Apr 22, 2016, 19:37
Tested on 0.172 and seems the problem is still there, it does not boot the K-OS.